=== debian/changelog ===
bucklespring (1.4.0-3) unstable; urgency=medium

  * QA upload.
  * Update Maintainer to QA group
  * Delete obsolete Vcs-* URIs
  * d/control: switch from pkg-config to pkgconf
  * Remove overrides for obsolete lintian tags

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 02 May 2025 13:59:47 +0200

bucklespring (1.4.0-2) unstable; urgency=medium

  * Allow build on non-linux architectures. (Closes: #852557)
  * Raise compat level to 10.

 -- Dominik George <nik@naturalnet.de>  Wed, 25 Jan 2017 14:55:55 +0100

bucklespring (1.4.0-1) unstable; urgency=medium

  * New upstream release.
     + Add mute function.
  * Source package contains proper copyright note now.
  * Fix VCS-Git URL.
  * Drop Debian patches, upstream incorporated all of them.

 -- Dominik George <nik@naturalnet.de>  Wed, 05 Oct 2016 15:36:56 +0200

bucklespring (1.3.6-1) unstable; urgency=medium

  * Initial release (Closes: #838226)

 -- Dominik George <nik@naturalnet.de>  Sun, 18 Sep 2016 19:08:53 +0200
