=== debian/control ===
Source: bucklespring
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 10), pkgconf, libopenal-dev, libalure-dev, libxtst-dev
Standards-Version: 3.9.8
Homepage: https://github.com/zevv/bucklespring

Package: bucklespring
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bucklespring-data
Description: Nostalgia bucklespring keyboard sound
 Buckle emulates the sound of an old IBM Model-M space saver
 bucklespring keyboard while typing within an X session.
 .
 It runs as a background process and plays back the sound of each key
 pressed and released on the keyboard, just as if using an IBM Model-M.
 The sound of each key has carefully been sampled, and is played back
 while simulating the proper distance and direction for a realistic 3D
 sound palette of pure nostalgic bliss.

Package: bucklespring-data
Architecture: all
Depends: ${misc:Depends}
Description: Nostalgia bucklespring keyboard sound - sound files
 Buckle emulates the sound of an old IBM Model-M space saver
 bucklespring keyboard while typing within an X session.
 .
 It runs as a background process and plays back the sound of each key
 pressed and released on the keyboard, just as if using an IBM Model-M.
 The sound of each key has carefully been sampled, and is played back
 while simulating the proper distance and direction for a realistic 3D
 sound palette of pure nostalgic bliss.
 .
 This package contains the keyboard sound files.
