=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PATH_AUDIO=/usr/share/buckle/wav

%:
	dh $@
