=== debian/changelog ===
bucklespring (1.5.1-1) unstable; urgency=medium

  * QA upload.

  [ Dominik George ]
   * Move to Salsa.
   * Update my mail address.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + bucklespring-data: Add Multi-Arch: foreign.

  [ Helmut Grohne ]
  * Fix FTCBFS: hard codes build architecture build tools
    Closes: #958133

  [ Andreas Tille ]
  * d/watch: Version=5
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Update renamed lintian tag names in lintian overrides.

 -- Andreas Tille <tille@debian.org>  Thu, 04 Dec 2025 10:08:20 +0100
