=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: games
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 10), pkgconf, libopenal-dev, libalure-dev, libxtst-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 13), pkgconf, libopenal-dev, libalure-dev, libxtst-dev
+Standards-Version: 4.7.2
+Vcs-Git: https://salsa.debian.org/debian/bucklespring.git
+Vcs-Browser: https://salsa.debian.org/debian/bucklespring
 Homepage: https://github.com/zevv/bucklespring
 
 Package: bucklespring
@@ -22,6 +24,7 @@
 Package: bucklespring-data
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Nostalgia bucklespring keyboard sound - sound files
  Buckle emulates the sound of an old IBM Model-M space saver
  bucklespring keyboard while typing within an X session.
